# Copyright © 2016-2017 Nick Bowler
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY of FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>

from portage.sync.config_checks import CheckSyncConfig

class CheckNullConfig(CheckSyncConfig):
    def check_uri(self):
        pass

module_spec = {
    'name': 'null',
    'description': __doc__,
    'provides': {
        'null-module': {
            'name': 'null',
            'sourcefile': 'null',
            'description': __doc__,
            'class': 'NullSync',
            'validate_config': CheckNullConfig,
        }
    }
}
